"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TsConfigGenerator = void 0;
const shared_1 = require("../../shared");
class TsConfigGenerator extends shared_1.BaseGenerator {
    configuring() {
        this.copyTemplate("tsconfig.json.ejs", "tsconfig.json");
    }
    async writing() {
        await this.addDevDependencyWithComment({
            name: "@chiubaka/tsconfig",
            comment: "Shared TSConfig settings for the Chiubaka Technologies ecosystem",
        });
    }
}
exports.TsConfigGenerator = TsConfigGenerator;
//# sourceMappingURL=TsConfigGenerator.js.map